From 9733efa758809cf0eb775bfc7fe82d311d9d4b8b Mon Sep 17 00:00:00 2001
From: Cameron Nemo <cnemo@tutanota.com>
Date: Fri, 7 Jun 2019 22:04:19 -0700
Subject: [PATCH 1/2] New package: conmon-0.2.0.

---
 srcpkgs/conmon/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/conmon/template

diff --git a/srcpkgs/conmon/template b/srcpkgs/conmon/template
new file mode 100644
index 00000000000..3800857e9b0
--- /dev/null
+++ b/srcpkgs/conmon/template
@@ -0,0 +1,19 @@
+# Template file for 'conmon'
+pkgname=conmon
+version=0.2.0
+revision=1
+build_style=gnu-makefile
+hostmakedepends="pkg-config"
+makedepends="libglib-devel"
+short_desc="OCI container runtime monitor"
+maintainer="Cameron Nemo <cnemo@tutanota.com>"
+license="Apache-2.0"
+homepage="https://github.com/containers/conmon"
+distfiles="https://github.com/containers/conmon/archive/v${version}.tar.gz"
+checksum=e05637da04a846593c1a491f06469ec9152cffbfda61f77a79d252c61e9af045
+
+do_install() {
+	vinstall bin/conmon 0755 usr/bin
+	vmkdir usr/libexec/podman
+	ln -sf ../../bin/conmon "${DESTDIR}/usr/libexec/podman"
+}

From 4588076edd3abc082b0505fd32098561bbe77cc2 Mon Sep 17 00:00:00 2001
From: Cameron Nemo <cnemo@tutanota.com>
Date: Sat, 8 Jun 2019 14:18:34 -0700
Subject: [PATCH 2/2] podman: update to 1.4.0.

---
 srcpkgs/podman/patches/musl.patch | 12 ++++++++++++
 srcpkgs/podman/template           |  6 +++---
 2 files changed, 15 insertions(+), 3 deletions(-)
 create mode 100644 srcpkgs/podman/patches/musl.patch

diff --git a/srcpkgs/podman/patches/musl.patch b/srcpkgs/podman/patches/musl.patch
new file mode 100644
index 00000000000..a90e285a032
--- /dev/null
+++ b/srcpkgs/podman/patches/musl.patch
@@ -0,0 +1,12 @@
+diff --git pkg/rootless/rootless_linux.go pkg/rootless/rootless_linux.go
+index 0cac50fc..3f78ffc6 100644
+--- pkg/rootless/rootless_linux.go
++++ pkg/rootless/rootless_linux.go
+@@ -24,6 +24,7 @@ import (
+ /*
+ #cgo remoteclient CFLAGS: -DDISABLE_JOIN_SHORTCUT
+ #include <stdlib.h>
++#include <sys/types.h>
+ extern uid_t rootless_uid();
+ extern uid_t rootless_gid();
+ extern int reexec_in_user_namespace(int ready, char *pause_pid_file_path, char *file_to_read, int fd);
diff --git a/srcpkgs/podman/template b/srcpkgs/podman/template
index b4b2564a709..4f1e4e4b915 100644
--- a/srcpkgs/podman/template
+++ b/srcpkgs/podman/template
@@ -1,6 +1,6 @@
 # Template file for 'podman'
 pkgname=podman
-version=1.3.2
+version=1.4.0
 revision=1
 wrksrc="libpod-${version}"
 build_style=go
@@ -10,13 +10,13 @@ go_build_tags="seccomp apparmor containers_image_ostree_stub
  btrfs_noversion exclude_graphdriver_btrfs"
 hostmakedepends="pkg-config go-md2man"
 makedepends="gpgme-devel libseccomp-devel device-mapper-devel"
-depends="runc cri-o cni-plugins skopeo slirp4netns containers.image"
+depends="runc conmon cni-plugins skopeo slirp4netns containers.image"
 short_desc="Simple management tool for containers and images"
 maintainer="Cameron Nemo <camerontnorman@gmail.com>"
 license="Apache-2.0"
 homepage="https://podman.io/"
 distfiles="https://github.com/containers/libpod/archive/v${version}.tar.gz"
-checksum=ff860e009746ecf566c9228960e7721e8aeababbf9688e24724e6b31b0aefa00
+checksum=17fdf68e85106d0848e89825e191198a4079bb6d9ca6dd3e415e5c010192db9e
 
 if [ "$CROSS_BUILD" ]; then
 	go_build_tags+=" containers_image_openpgp exclude_graphdriver_overlay"
